Remote Host Authorization

This API is required to be developed in order to enable Remote Host Authorization. The purpose of this endpoint is to receive the authorization request and make a decision on whether to approve the transaction

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Please be informed that the card balances in Merchant API will hit this endpoint to determine the current card balances, please anticipate high volume of balance inquiry authorization request and make sure to keep your response accurate and up-to-date.

You are required to provide us an apiKey which we will use in the authorization request as Authorization: Bearer <apiKey>. Without this header, you should not approve any request as it may potentially not be coming from us. We strongly suggest against reusing the same apiKey used in the webhook part.

Transaction approval response details

  • currency_code: (type String) Required. In ISO 4217 format. Example Singaporean Dollar will be SGD. Indonesian Rupiah will be IDR.
  • ledger_balance: (type String) Required. The total amount of money in an account, including any outstanding checks or transactions that have been made but have not yet cleared.
  • available_balance: (type String) Required. The amount of money that is available to spend or withdraw immediately, taking into account any outstanding checks or transactions that have not yet cleared.
  • transaction_id: (type String) Required. Please re-use the same transaction id that came from the authorization request.
  • remarks: (type String) Optional. A quick description on what this transaction represents.

Transaction rejection response details

  • error_code: Required. Available enumerator as follow:
    • CARD0000: Internal Server Error
    • CARD0001: Insufficient Balance
    • CARD0002: Duplicate Transaction ID
    • CARD0003: Transaction Not Found
    • CARD0004: Card Not Found
    • CARD0005: Unauthorized
    • CARD0006: Card Restrictions
  • message: Optional. Simple title for the error.
  • description: Optional. Detailed description for the error.
Body Params
string
required

amount in string format. if the transaction_type is balance_inquiry, the amount will be 0 and it has no significance. if transaction_type is completion, this field will include an amount that can be released from preauth/hold transaction.

string

In ISO 4217 format.
Example: Singaporean Dollar will be SGD. Indonesian Rupiah will be IDR.
This field will be unavailable in a balance inquiry request

string
enum
required

Available values are:
deduction - authorization where a deduction is requested
oct - original credit transaction
balance_inquiry - happens when card is used at an ATM
hold - pre authorization request
completion - pre authorization completion
For more explanation, please check transaction type

Allowed:
string
required

unique transaction id used to identify an individual transaction.

string
required

Card Opaque ID

string
required

User Opaque ID

metadata
object

metadata is raw information taken from the iso8583 request coming from VISA that can be useful to provide more information and context to the incoming transaction

string
string

Final amount during preauth transaction, only available if transaction_type is completion

string

Provides context on how the transaction was initiated. This value is sourced from the token provisioning data provided by VISA and may not be available for all transactions. If the transaction is not token-based, this field may either be empty or omitted entirely, depending on the context. Available values are:
APPLE_PAY – transaction was initiated using Apple Pay
GOOGLE_PAY – transaction was initiated using Google Pay
ECOMMERCE – token used for e-commerce transactions
CARD_ON_FILE – token stored on file, often used for recurring payments
SECURE_ELEMENT – generic mobile wallet token that uses a Secure Element for encryption

string

The transaction amount at the acquirer level.

string

The currency used at the acquirer level for the transaction.

In ISO 4217 format.
Example: Singaporean Dollar will be SGD. Indonesian Rupiah will be IDR.
This field will be unavailable in a balance inquiry request

Responses

Language
LoadingLoading…
Response
Choose an example:
application/json